/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JDBCDatasourceInfo.java 19402 2010-03-10 13:26:25Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.jdbcconnections.service;

/**
 * Data on a given JDBC Datasource.
 * @author Florent Benoit
 */
public class JDBCDatasourceInfo {

    private String jndiName = null;
    private String url = null;
    private String jdbcDriver = null;
    private boolean observable = false;
    private int currentConnectionsOpened = 0;
    private int currentBusy = 0;
    private int maxPool = 0;


    public int getMaxPool() {
        return maxPool;
    }
    public void setMaxPool(final int maxPool) {
        this.maxPool = maxPool;
    }
    public String getJndiName() {
        return jndiName;
    }
    public void setJndiName(final String jndiName) {
        this.jndiName = jndiName;
    }
    public String getUrl() {
        return url;
    }
    public void setUrl(final String url) {
        this.url = url;
    }
    public String getJdbcDriver() {
        return jdbcDriver;
    }
    public void setJdbcDriver(final String jdbcDriver) {
        this.jdbcDriver = jdbcDriver;
    }
    public boolean isObservable() {
        return observable;
    }
    public void setObservable(final boolean observable) {
        this.observable = observable;
    }

    public int getCurrentConnectionsOpened() {
        return currentConnectionsOpened;
    }
    public void setCurrentConnectionsOpened(final int currentConnectionsOpened) {
        this.currentConnectionsOpened = currentConnectionsOpened;
    }
    public int getCurrentBusy() {
        return currentBusy;
    }
    public void setCurrentBusy(final int currentBusy) {
        this.currentBusy = currentBusy;
    }

}
